#!/usr/bin/env node --harmony
'use strict'
process.env.NODE_PATH = __dirname + '/../node_modules/'
const program = require('commander')
program.version(require('../package').version, '-v, --version')
program.usage('<command>')
program
  .command('create')
  .description('create a new project')
  .alias('c')
  .action(() => {
    require('../command/create')()
  })
program
  .command('update')
  .description('update project')
  .alias('u')
  .action(() => {
    require('../command/update')()
  })
program
  .command('page')
  .description('create a page')
  .alias('p')
  .action(() => {
    require('../command/page')()
  })
program
  .command('init')
  .description('init project with fire-server')
  .alias('i')
  .action(() => {
    require('../command/init')()
  })
program
  .command('build')
  .description('dist project')
  .alias('b')
  .action(() => {
    require('../command/build')()
  })
program
  .command('start')
  .description('start project')
  .alias('s')
  .action(() => {
    require('../command/start')()
  })
program
  .command('route')
  .description('create a route')
  .alias('r')
  .action(() => {
    require('../command/route')()
  })
program.parse(process.argv)
if (!program.args.length) {
  program.help()
}
