const { shell } = require('execa')
const { getSpinner, success, error } = require('../utils/tools')
const { zcServerName } = require('../utils/constant')

module.exports = async function() {
  const spinner = getSpinner('Building...')
  try {
    let env = process.argv[3] || 'dev'
    spinner.start()
    await shell(`node node_modules/${zcServerName}/bin/index build ENV=${env}`)
    success('\n √ build success!')
  } catch (e) {
    error(e)
  } finally {
    spinner.stop()
  }
}
